[tahoe-dev] 0.8.2b1 - new/wrong dependencies

Greg Troxel gdt at ir.bbn.com
Sat Jan 29 02:11:49 UTC 2011


I did find this in NEWS; I had looked in doc/*installing* to see the
listed dependencies.

 - Tahoe now depends upon the "mock" testing library, and the foolscap
   dependency was raised to 0.6.1 . It no longer requires pywin32 (which
   was used only on windows). Future developers should note that
   reactor.spawnProcess and derivatives may no longer be used inside
   Tahoe code.


So does foolscap 0.6.1 work with twisted 10.1?  Given the compat
problems I am reluctant to change twisted to 10.2 without discusion in
pkgsrc-land, because that will probably break a lot of other things
(given that it broke tahoe).  Is foolscap something that's only used by
tahoe?  Does tahoe 0.8.1 work with foolscap 0.6.1?
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 194 bytes
Desc: not available
URL: <http://tahoe-lafs.org/pipermail/tahoe-dev/attachments/20110128/dc33307f/attachment.asc>


More information about the tahoe-dev mailing list